﻿using Syncfusion.Windows.Forms;
using Syncfusion.Windows.Forms.Tools;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WindowsFormsApplication5
{
    public class CustomizeDialogString : ILocalizationProvider 
    {

        public string GetLocalizedString(System.Globalization.CultureInfo culture, string name, object ctrl)
        {
          switch(name)
          {
              case ToolsResourceIdentifiers.BarCustomizationDialogNew:
                  return "Neu";
              case ToolsResourceIdentifiers.BarCustomizationDialogDelete:
                  return "Löschen";
              case ToolsResourceIdentifiers.BarCustomizationDialogButtonReset:
                  return "sich ausruhen";
              case ToolsResourceIdentifiers.BarCustomizationDialogClose:
                  return "Schließen";
              case ToolsResourceIdentifiers.BarCustomizationDialogTabToolbars:
                  return "Symbolleiste";
              case ToolsResourceIdentifiers.BarCustomizationDialogTabCommands:
                  return "Aufträge";
              case  ToolsResourceIdentifiers.BarCustomizationDialogTabOptions:
                  return "Optionen";
              case ToolsResourceIdentifiers.BarCustomizationDialogCategories:
                  return "Kategorien";
              case ToolsResourceIdentifiers.BarCustomizationDialogCommands:
                  return "Commandes";
              case ToolsResourceIdentifiers.BarCustomizationDialogResetCustomization:
                  return "Anpassung zurücksetzen";
              case ToolsResourceIdentifiers.BarCustomizationDialogResetPartialMenus:
                  return "Setzen Si meineNutzundaten";
              case ToolsResourceIdentifiers.BarCustomizationDialogLargeIcons:
                  return "Große Ikonen";
              case ToolsResourceIdentifiers.BarCustomizationDialogPersonalizedMenus:
                  return "Benutzerdefinierte Menüs und Symbolleisten";
              case ToolsResourceIdentifiers.BarCustomizationDialogOther:
                  return "autre";
              case ToolsResourceIdentifiers.BarCustomizationDialogAlwaysFullMenu:
                  return "vollständige Menüsanzeigen";
              case ToolsResourceIdentifiers.BarCustomizationDialogExpandAfterDelay:
                  return "komplette Menüs nach Verzögerung anzeigen";
              case ToolsResourceIdentifiers.BarCustomizationDialogCaption:
                  return "Personifizieren";
              default:
                  return string.Empty;
          }
        }
    }
}
